Subject: bug#43209: 27.1; rectangle-mark-mode does not activate region if transient mark mode disabled

From: Allen Li <[email-masked]>
Date: Tue, 15 Jun 2021 23:09:49 +0000

On Sat, Jun 12, 2021 at 12:29 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Allen Li <[email-masked]> writes:
>
> > rectangle-mark-mode does not activate region if transient mark mode is
> > disabled.
> >
> > Steps:
> >
> > 1. emacs -Q
> > 2. M-x transient-mark-mode RET
> > 3. C-x SPC
> >
> > Expected:
> >
> > Region is activated temporarily.
> >
> > Actual:
> >
> > Region is not activated.  Note that rectagle-mark-mode is still
> > partially enabled.  For example, C-x C-x moves point according to the
> > rectangular region, but you cannot move point beyond the end of the
> > line.
> >
> > I propose making rectangle-mark-mode activate the region even if
> > transient-mark-mode is disabled for a number of reasons.
>
> I'm not quite sure I fully understand the suggestion -- do you mean that
> `C-x SPC' should switch transient-mark-mode on if it isn't already?
> (And then switch it off again in `deactivate-mark-hook'?)
>

Behavior-wise, it should work the same as `C-SPC C-SPC` when
transient-mark-mode is off,
(temporarily enable transient-mark-mode and active region).
I don't remember how that is implemented off the top of my head.

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>